/*
Theme Name: Base
Theme URI: https://www.invbit.com
Author: Base
Author URI: https://www.invbit.com
Description: Base para Betheme
Template: betheme
Version: 1.6.2
*/
@import "./css/variables.css";

/*********************************\
              GENERAL
\*********************************/
.validate_email_against_bot {
  display: none;
}

:root {
  scrollbar-color: var(--principal) var(--gris);
  scrollbar-width: thin;
}

body.style-simple {
  --mfn-column-gap-bottom: 0;
}

body a:not(.cmplz-link) {
  text-decoration: none !important;
  transition: all 0.2s ease-in-out;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -ms-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
}

body .form-legal {
  font-size: 0.7em;
  line-height: 1.5em;
  opacity: 0.7;
  padding: 10px;
  text-align: justify;
}

body input[name="politica"] + span {
  font-weight: 500;
}

body #cmplz-document {
  max-width: 100%;
  padding: 40px 0;
  text-align: justify;
}

body #cmplz-document h2 {
  font-size: 38px;
  line-height: 42px;
  font-weight: 700;
  letter-spacing: 0px;
  border: 0;
  padding: 0;
  margin-bottom: 15px;
  margin-top: 60px;
}

body #cmplz-document h3 {
  font-size: 24px;
  line-height: 32px;
  font-weight: 700;
  letter-spacing: 0px;
  border: 0;
  padding: 0;
  margin-bottom: 15px;
}

body #cmplz-document h4 {
  font-size: 20px;
  line-height: 28px;
  font-weight: 500;
  letter-spacing: 0px;
  border: 0;
  padding: 0;
  margin-bottom: 15px;
}

body .principal {
  color: var(--principal);
}

body .secundario {
  color: var(--secundario);
}

body .blanco {
  color: var(--blanco);
}

body .listNone {
  list-style: none !important;
  margin: 0 !important;
}

body .listNone li {
  display: flex;
  align-items: flex-start;
}

body .listNone li i {
  margin-right: 10px;
  color: var(--principal);
  font-size: 1.2em;
  margin-top: 0.1em;
}

body.button-custom .button {
  align-items: center;
}

body.button-custom .align_right .button {
  transform-origin: right;
  margin-right: 0;
  margin-left: 10px;
}

body.button-custom .button.noBack:not(:hover) {
  background: none;
  color: var(--secundario);
}

body .otgs-development-site-front-end,
body .wpml-ls-statics-footer {
  display: none;
}

body p:empty {
  margin: 0;
  display: none;
  visibility: hidden;
  opacity: 0;
}

body #cmplz-manage-consent .cmplz-manage-consent {
  background-image: url(imagenes/fondo-ajustes.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100%;
  right: unset !important;
  left: 0px;
  font-size: 0px;
  color: var(--negro) !important;
  width: 140px;
  background-color: transparent !important;
  box-shadow: unset !important;
  bottom: -2px !important;
  padding: 0 !important;
}

body #cmplz-manage-consent .cmplz-manage-consent:before {
  content: "";
  background-image: url(imagenes/icono-ajustes.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100%;
  width: 28px;
  height: 28px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: all 0.8s ease;
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
  -webkit-transition: all 0.8s ease;
  -moz-transition: all 0.8s ease;
  -ms-transition: all 0.8s ease;
  -o-transition: all 0.8s ease;
}

body #cmplz-manage-consent .cmplz-manage-consent:hover:before {
  transform: translate(-50%, -54%);
  -webkit-transform: translate(-50%, -54%);
  -moz-transform: translate(-50%, -54%);
  -ms-transform: translate(-50%, -54%);
  -o-transform: translate(-50%, -54%);
}

body .cmplz-cookiebanner .cmplz-buttons .cmplz-btn {
  letter-spacing: 0;
  font-size: 14px !important;
  text-transform: none;
  justify-content: center;
}

body.admin-bar .full-screen .section_wrapper {
  min-height: calc(100vh - 32px);
}

body .section.has-video .section_video {
  display: flex;
  align-items: center;
  justify-content: center;
}

body .section.has-video .section_video video {
  top: unset;
  left: unset;
}

.joinchat--left .joinchat__button {
  left: 20px;
  bottom: 40px;
}

body.style-simple .responsiveWidth {
  max-width: calc(2 * var(--halfSection));
}

body.mobile-side-slide {
  overflow-x: clip !important;
}

body .section_wrapper,
body .container {
  box-sizing: border-box;
  padding-left: 33px;
  padding-right: 33px;
}

/*********************************\
              HEADER
\*********************************/
body #Top_bar .menu li ul li {
  width: 250px;
  line-height: 1.5;
}

body #Top_bar .search_wrapper button[type="submit"] {
  display: none;
}

body #Top_bar .top_bar_right .action_button {
  gap: 10px;
}

body #Top_bar .top_bar_right .action_button:hover {
  border-color: var(--principal) !important;
}

body.header-fixed #Top_bar:not(.is-sticky) {
  box-shadow: none;
}

body #Top_bar .menu > li.current-menu-item.neverActive > a:not(:hover) {
  color: inherit;
}

body #Subheader:after {
  content: none;
}

body #Subheader .title {
  padding: 30px 0;
}

body #Subheader ul.breadcrumbs {
  position: relative;
  z-index: 0;
  padding: 15px;
  text-align: left !important;
}

body #Subheader ul.breadcrumbs:before {
  content: "";
  position: absolute;
  width: 100vw;
  height: 100%;
  top: 0;
  left: calc(50% - 50vw);
  background: var(--secundario);
  z-index: -1;
}

body #Subheader ul.breadcrumbs li,
body #Subheader ul.breadcrumbs li a {
  color: var(--blanco);
}

/*********************************\
              FOOTER
\*********************************/
body #Footer .container {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

body #Footer .widgets_wrapper .widget {
  margin: 0;
}

body #Footer .copyright a:hover {
  text-decoration: none;
}

body #Footer .footer_copy {
  border: 0;
}

body #Footer .footer_copy .one {
  --mfn-column-gap-bottom: 15px;
  padding-top: 15px;
  margin-bottom: 0;
}

body #Footer .footer_copy .social {
  display: none;
}

body #Footer .menu {
  list-style: none;
  padding: 0;
  background: none;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
}

body #Footer .copyright .menu {
  justify-content: center;
  gap: 0 10px;
  flex-direction: row;
}

body #Footer .menu li:after {
  content: none;
}

body #Footer .menu a {
  padding: 5px 0;
}

body #Footer .footer_copy .copyright {
  font-size: 13px;
  float: none;
  text-align: center;
}

body #back_to_top {
  padding: 0;
  border-color: transparent;
}

body #Footer .wp-block-image {
  margin: 0;
}

body ul.social {
  display: flex;
  gap: 15px;
}

body footer ul.social li a {
  line-height: 1;
  font-size: 26px;
}

/*Kit digital*/
body footer .financiacion {
  display: grid;
  grid-template-columns: 1fr 1fr 5fr;
  gap: 20px;
  text-align: left;
  align-items: center;
}

body footer .financiacion > div {
  line-height: 0;
}

body footer .financiacion > div img {
  max-height: 50px;
  width: auto;
}

body footer .financiacion > div p {
  font-size: 13px;
  line-height: 15px;
  margin-bottom: 0;
}

@media only screen and (max-width: 959px) {
  body footer .financiacion {
    grid-template-columns: 1fr 1fr;
    text-align: center;
    gap: 5px;
  }

  body footer .financiacion > div:last-child {
    grid-column: 1 / span 2;
  }
}

body #pojo-a11y-toolbar .pojo-a11y-toolbar-overlay p.pojo-a11y-toolbar-title {
  line-height: 1.2;
}

/*********************************\
              INICIO
\*********************************/
body .sliderInfinito .slick-track {
  display: flex;
}

body .sliderInfinito .slick-list {
  overflow: visible;
  width: 100%;
}

body .sliderSnacks .gallery .gallery-item {
  width: auto !important;
  margin: 0 25px;
  padding: 0;
}

body .sliderSnacks .mcb-item-image_gallery-inner,
body .sliderSnacks .gallery,
body .sliderSnacks .gallery .slick-list {
  overflow: visible;
}

body .sliderSnacks .gallery .slick-track {
  display: flex;
}

body .sliderSnacks .gallery .gallery-item img {
  width: 250px;
  height: 250px;
  object-fit: contain;
  object-position: center;
}

body .section.full-width .section_wrapper {
  max-width: 1920px !important;
}

/*********************************\
             CONTACTO
\*********************************/
body .wpcf7-form [type="submit"] {
  width: 100%;
  margin: 0 !important;
}

body .wpcf7-form .wpcf7-spinner {
  margin: 5px 0 0 -12px;
  left: 50%;
}

body .column_cf7 input[type="checkbox"] {
  min-height: 0px;
}

/*********************************\
              SNACKS
\*********************************/
body .snackList img {
  height: 320px;
  object-fit: contain;
  padding: 0 10px;
  margin: 0 0 60px;
}

/*********************************\
          BLOG / NOTICIAS
\*********************************/
/* Fixed nav arrows */
body .fixed-nav {
  box-shadow: 0 0 10px rgb(0 0 0 / 10%);
}

body .fixed-nav .desc h6 {
  line-height: 1.3;
  display: -webkit-box;
  line-clamp: 2;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

body .fixed-nav .desc .date {
  font-size: 13px;
  color: var(--gris);
  border: 0;
}

body .fixed-nav .desc .date .icon-clock {
  display: none;
}

body .fixed-nav .photo img,
body .Recent_posts ul li .photo img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Barra lateral */
body .Recent_posts ul li a .desc {
  padding: 8px 10px 3px;
  min-height: 80px;
}

body .Recent_posts ul li a .desc h6 {
  display: -webkit-box;
  line-clamp: 2;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  font-size: 14px;
  line-height: 20px;
}

body .Recent_posts ul li a .desc .date {
  font-size: 12px;
  line-height: 14px;
}

body .widget:not(.widget_block) > h3 {
  font-size: 21px;
  line-height: 29px;
  font-weight: 500;
  text-transform: uppercase;
  letter-spacing: -1px;
}

body .mcb-sidebar select {
  width: 100%;
}

body .widget_categories ul {
  list-style: none;
  padding: 0;
  background: none;
}

body .widget_categories ul li:after {
  content: none;
}

body .widget_categories ul li a {
  padding: 5px 10px;
  background: var(--principal);
  display: block;
  border-radius: 3px;
  margin-bottom: 6px;
}

body .widget_categories ul li a:hover {
  background: var(--secundario);
}
.blog_wrapper .posts_group {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}
.blog_wrapper .image_frame .image_wrapper,
.single-post.post-template-default .image_wrapper {
  border-radius: 32px;
}
.blog_wrapper .image_frame .image_wrapper img {
  max-height: 300px;
  object-fit: cover;
}
.blog_wrapper .posts_group h2.entry-title {
  font-size: 28px;
  line-height: 100%;
}
.blog_wrapper .posts_group .post-desc {
  padding-left: 0;
  padding-right: 0;
}
.blog #Content {
  margin-bottom: 100px;
}
.single-post.post-template-default #Subheader .title {
  font-size: 72px;
  line-height: 100%;
}
.single-post.post-template-default #Content {
  padding: 100px 0 !important;
}
.single-post.post-template-default img {
  max-height: 620px;
  object-fit: cover;
}
.single-post.post-template-default .post-wrapper-content {
  margin-top: 80px;
  margin-bottom: 80px;
}
.single-post.post-template-default .post-wrapper-content .the_content_wrapper {
  margin-bottom: 80px;
}
.single-post.post-template-default .section-post-intro-share {
  background: var(--secundario);
  color: #fff;
}
.single-post.post-template-default .share-simple-wrapper .icons a {
  color: #fff;
}
.section-related-adjustment.blog_wrapper h2 {
  font-size: 28px;
}
.post-item .post-footer .post-links {
  float: left;
}

/*********************************\
           WOOCOMMERCE
\*********************************/
body .woocommerce ul.products li.product .woocommerce-placeholder {
  border: 0;
}

body .woocommerce .quantity .qty {
  padding: 10px 30px !important;
}

body .woocommerce table.shop_table tr.order-total .includes_tax {
  display: block;
}

body
  .woocommerce
  table.shop_table
  tr.order-total
  .includes_tax
  .woocommerce-Price-amount {
  font-size: 1em;
  font-weight: 400;
  color: #767676;
}

.woocommerce div.product form.cart .reset_variations,
.woocommerce .sku_wrapper {
  display: none;
}

.woocommerce ul.products {
  display: grid;
  gap: 40px;
}

.woocommerce.columns-2 ul.products {
  grid-template-columns: repeat(2, 1fr);
}

.woocommerce.columns-3 ul.products,
.woocommerce ul.products.columns-3 {
  grid-template-columns: repeat(3, 1fr);
}

.woocommerce.columns-4 ul.products,
.woocommerce ul.products.columns-4 {
  grid-template-columns: repeat(4, 1fr);
}

.woocommerce ul.products:before,
.woocommerce ul.products:after {
  display: none;
}

.woocommerce ul.products li.product {
  height: inherit;
  margin: 0;
  width: auto !important;
}

/*********************************\
            RESPONSIVE
\*********************************/
@media only screen and (min-width: 960px) and (max-width: 1239px) {
}

@media only screen and (min-width: 768px) and (max-width: 1239px) {
  body .Recent_posts ul li .photo {
    display: none;
  }

  body .Recent_posts ul li a .desc {
    margin: 0;
  }
}
@media only screen and (max-width: 1239px) {
  .blog_wrapper .image_frame .image_wrapper img {
    max-height: 200px;
  }
  .blog_wrapper .posts_group h2.entry-title {
    font-size: 24px;
  }
}
@media only screen and (max-width: 959px) {
  body #Top_bar .top_bar_left {
    width: 100%;
  }

  body .animate {
    animation-delay: 0ms !important;
  }
  .single-post.post-template-default #Subheader .title {
    font-size: 54px;
  }
  .blog_wrapper .image_frame .image_wrapper img {
    max-height: 150px;
  }
  .blog_wrapper .posts_group h2.entry-title,
  .section-related-adjustment .post-desc-wrapper h3.entry-title {
    font-size: 22px;
  }
}

@media only screen and (min-width: 768px) {
  body .paddingLeft {
    padding-left: 40px;
  }

  body .paddingRight {
    padding-right: 40px;
  }
}

@media only screen and (max-width: 767px) {
  .joinchat {
    --bottom: 20px;
  }

  .joinchat--left .joinchat__button {
    bottom: 0;
  }

  body .hideMobile {
    display: none !important;
  }

  body #Top_bar.is-sticky {
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.1);
  }

  body.style-simple .responsiveWidth {
    max-width: 670px;
    padding: 0 33px;
  }

  body .section_wrapper,
  body .container {
    padding-left: 0;
    padding-right: 0;
  }

  body #cmplz-manage-consent .cmplz-manage-consent {
    bottom: -3px !important;
    width: 100px;
    height: 35px !important;
  }

  body #cmplz-manage-consent .cmplz-manage-consent:before {
    width: 20px;
    height: 20px;
  }
  .blog_wrapper .image_frame .image_wrapper {
    max-width: 80% !important;
    margin: 0 auto;
  }
  .blog_wrapper .image_frame .image_wrapper img {
    max-height: 300px;
  }
  .section-post-intro-share .section_wrapper .mcb-column-inner {
    margin-bottom: 0;
  }
}

@media only screen and (max-width: 480px) {
  body .woocommerce-variation-add-to-cart {
    flex-direction: column;
  }

  body .woocommerce .quantity {
    width: 100%;
    margin: 0 0 5px !important;
  }

  body .woocommerce .product div.entry-summary .cart .button {
    width: 100%;
  }

  body
    .woocommerce
    .product
    div.entry-summary
    .accordion
    table.shop_attributes
    tr {
    display: flex;
    flex-direction: column;
    padding: 0 0 10px;
  }

  body
    .woocommerce
    .product
    div.entry-summary
    .accordion
    table.shop_attributes
    tr:last-child {
    padding: 0;
  }

  body
    .woocommerce
    .product
    div.entry-summary
    .accordion
    table.shop_attributes
    th,
  body
    .woocommerce
    .product
    div.entry-summary
    .accordion
    table.shop_attributes
    td {
    width: 100%;
    padding: 0;
    text-align: left;
  }
  .blog_wrapper .image_frame .image_wrapper {
    max-width: 100% !important;
  }
}
